#include <bits/stdc++.h>
using namespace std;

int main () {
ios_base::sync_with_stdio(false);cin.tie(0);

int brS, h;
cin>>brS>>h;
int rednibr=0;

int hS[brS];
bool ima=false;

for (int i=1; i<=brS; ++i) {
	cin>>hS[i];
	rednibr=rednibr+1;
	if (hS[i]<=h) {
		ima=true;
		cout<<rednibr;
		break;}
		}

if (ima==false) cout<<-1;

}